import type { ProseMirrorNode } from '../../../externals.js';
import { TableView } from '@tiptap/pm/tables';
import type { ViewMutationRecord } from '@tiptap/pm/view';
export declare class UmbTableView extends TableView {
    #private;
    constructor(node: ProseMirrorNode, cellMinWidth: number, containerAttributes: Record<string, string>);
    ignoreMutation(mutation: ViewMutationRecord): boolean;
    update(node: ProseMirrorNode): boolean;
}
